This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 798801 - Fix the sample portal datasource file.
Fix the sample portal datasource file.
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.GA
Unspecified Unspecified
low Severity low
: ---
: 5.2.2.ER01
Assigned To: Peter Palaga
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 17:08 EST by Nick Scavelli
Modified: 2015-08-31 23:32 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.2.2.ER01
Doc Type: Bug Fix
Doc Text:
It was discovered that the gatein-sample-portal-ds.xml file shipped with the application server was out of sync with the gatein-ds.xml file. Customers that used the sample portal datasource file experienced issues when the file was deployed together with gatein-sample-portal.ear. Errors were logged to the application server's log, and the sample portal would not correctly start. The fix rebases gatein-sample-portal-ds.xml in line with gatein-ds.xml with the following fixes: The IDM database configuration is declared before JCR; The Hypersonic data file location is now specified under the gatein conf directory; and the IDM datastore was changed from local-tx-datasource to no-tx-datasource. When gatein-sample-portal-ds.xml is deployed with gatein-sample-portal.ear, the sample portal starts, and can be visited using http://localhost:8080/sample-portal.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8724 by ppalaga at 2012-06-18 09:03:18 EDT (show)
8724 by ppalaga at 2012-06-18 09:03:18 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 798801 - Fix the sample portal datasource file

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/distribution/jboss-epp/examples/src/main/resources/gatein-sample-portal-ds.xml (+6 / -7)


Attachments (Terms of Use)

  None (edit)
Description Nick Scavelli 2012-02-29 17:08:33 EST
Description of problem: 

The gatein-sample-portal-ds.xml file seems out of sync with the gatein-ds.xml file. 

1) The datasources are listed in reverse order, making it more difficult then needed. IDM should be first followed by the JCR. 

2) The location of the hypersonic data file is not within the gatein conf directory. I think this leads to issues. Either way the location and name should be consistent to that defined in gatein-ds.xml

3) The IDM datastore is defined as local-tx-datasource instead of no-tx-datasource as in the gatein-ds.xml file. Again this should be in sync.

Steps to Reproduce:
1. Start with clean install of EPP (do not start)
2. Copy gatein-sample-portal-ds.xml and gatein-sample-portal.ear from $EPP/jboss-as/docs/examples/portal/ to $EPP/jboss-as/server/default/deploy/
3. Add _portal to the both idm and jcr JNDI names defined in $EPP/jboss-as/server/default/deploy/gatein-ds.xml
4. Start EPP


Actual results:
Server errors, sample-portal did not startup successfully.

Expected results:
EPP starts with no errors, sample-portal (container) is available. http://localhost:8080/sample-portal
Comment 1 Peter Palaga 2012-06-18 09:16:15 EDT
Fixed in accordance with the above hints 1), 2) and 3).
Comment 2 Peter Palaga 2012-06-18 09:16:16 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: gatein-sample-portal-ds.xml file included in the documentation distributed with JBoss AS was out of sync with the gatein-ds.xml.
Consequence: Errors in the application server log when gatein-sample-portal-ds.xml was deployed together with gatein-sample-portal.ear
Fix: gatein-sample-portal-ds.xml file was brought in sync with gatein-ds.xml: (1) The order of datasources: IDM before JCR; (2) The Hypersonic data file location now under the gatein conf directory. (3) The IDM datastore was changed from local-tx-datasource to no-tx-datasource.
Result: Deployment of gatein-sample-portal-ds.xml with gatein-sample-portal.ear now finishes without errors and the sample portal can be visited under http://localhost:8080/sample-portal.
Comment 3 Jared MORGAN 2012-08-20 20:36:08 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1 @@
-Cause: gatein-sample-portal-ds.xml file included in the documentation distributed with JBoss AS was out of sync with the gatein-ds.xml.
+It was discovered that the gatein-sample-portal-ds.xml file shipped with the application server was out of sync with the gatein-ds.xml file. Customers that used the sample portal datasource file experienced issues when the file was deployed together with gatein-sample-portal.ear. Errors were logged to the application server's log, and the sample portal would not correctly start. The fix rebases gatein-sample-portal-ds.xml in line with gatein-ds.xml with the following fixes: The IDM database configuration is declared before JCR; The Hypersonic data file location is now specified under the gatein conf directory; and the IDM datastore was changed from local-tx-datasource to no-tx-datasource. When gatein-sample-portal-ds.xml is deployed with gatein-sample-portal.ear, the sample portal starts, and can be visited using http://localhost:8080/sample-portal.-Consequence: Errors in the application server log when gatein-sample-portal-ds.xml was deployed together with gatein-sample-portal.ear
-Fix: gatein-sample-portal-ds.xml file was brought in sync with gatein-ds.xml: (1) The order of datasources: IDM before JCR; (2) The Hypersonic data file location now under the gatein conf directory. (3) The IDM datastore was changed from local-tx-datasource to no-tx-datasource.
-Result: Deployment of gatein-sample-portal-ds.xml with gatein-sample-portal.ear now finishes without errors and the sample portal can be visited under http://localhost:8080/sample-portal.
Comment 4 Viliam Rockai 2012-08-28 07:38:09 EDT
Verified again at 5.2.2 CR01

Note You need to log in before you can comment on or make changes to this bug.